MJWM(1)

NAME
mjwm - create menu for JWM

SYNOPSIS
mjwm [-o OUTPUT FILE] [-i INPUT DIRECTORY] [-c CATEGORY FILE] [--iconize]

DESCRIPTION
mjwm creates JWM menu from FreeDesktop files present in XDG application directories Include the generated file in the rootmenu section of your ~/.jwmrc. For more information visit http://github.com/chiku/mjwm. The following options are available.

-c, --category-file=FILE
    Use an external category file. This overrides the built in categories. Please look at default.mjwm to write your own category file.

--help
    Show help.

--iconize, --iconize=THEME
    Search for icons by name in $HOME, $XDG_DATA_DIRS/icons and /usr/share/pixmaps. The icon references in the generated menu would be absolute paths to icons in the specified directories. The given icon is searched for icons. If not specified the icon theme hicolor is searched.

-i, --input-directory=DIRECTORY
    Directory to scan for .desktop files. Multiple directories, if provided, must be separated by colons. Default is $XDG_DATA_DIRS/applications:$XDG_DATA_HOME/applications. /usr/local/share:/usr/share if $XDG_DATA_DIRS is not set. $HOME/.local/share is used if $XDG_DATA_HOME is not set.

--language=NAME
    The language for which the menu would be build. Defaults to the system default.

--no-backup
    Do not create any backup files.

-o, --output-file=FILE
    Menu output file name. Default is $HOME/.jwmrc-mjwm.

-v, --verbose
    Verbose output.

--version
    Show version information.

Exit Status:
    0 if OK, 1 if files could not be accesses (e.g., could not write output file), 2 if the command-line arguments are incorrect.

EXAMPLES

Generate menu entries for files in /usr/local/share/applications
    mjwm -i /usr/local/share/applications

Generate menu entries from files in multiple directories /usr/local/share/applications, /usr/share/applications and ~/.local/share/applications
    mjwm -i /usr/local/share/applications:/usr/share/applications:~/.local/share/applications

Use categories from an external file
    mjwm -c data/default.mjwm

Create menu entries with absolute path names to Hicolor icons images
    mjwm --iconize

Create menu entries with absolute path names to Faenza icons images
    mjwm --iconize=Faenza